OBCommentData Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
OBCommentData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBCommentData:
[legend]

List of all members.

## Public Member Functions
| OBCommentData ()
| OBCommentData (const OBCommentData &)
virtual OBGenericData * | Clone (OBBase *) const
OBCommentData & | operator= (const OBCommentData &src)
void | SetData (const std::string &data)
void | SetData (const char *d)
const std::string & | GetData () const
virtual const std::string & | GetValue () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
std::string | _data
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to store a comment string (can be multiple lines long)

## Constructor & Destructor Documentation

OBCommentData | ( |  | ) |

OBCommentData | ( | const OBCommentData & | src | ) |

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * |  | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

OBCommentData& operator= | ( | const OBCommentData & | src | ) |

void SetData | ( | const std::string & | data | ) | `[inline]`

void SetData | ( | const char * | d | ) | `[inline]`

const std::string& GetData | ( |  | ) | const`[inline]`

virtual const std::string& GetValue | ( |  | ) | const`[inline, virtual]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented from OBGenericData.

void SetAttribute | ( | const std::string & | v | ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s | ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( |  | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( |  | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual DataOrigin GetOrigin | ( |  | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

std::string _data`[protected]`

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), and OBChiralData::operator=().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines